Bug 66197 - redhat-control-network doesnt work as unpriviledged user
redhat-control-network doesnt work as unpriviledged user
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-05 21:09 EDT by David Kaplan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-26 09:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kaplan 2002-06-05 21:09:31 EDT
Description of Problem:

I am running redhat-config-network-1.0.0-1 and am trying to use
redhat-control-network to start and stop ethernet and modem interfaces.  Even
though the interfaces are set so that all users should be able to start and stop
them, I am unable to start interfaces as an unprivileged user.  

Version-Release number of selected component (if applicable):
redhat-config-network-1.0.0-1

How Reproducible:
always


Steps to Reproduce:
1. create a network interface using neat and check the allow users to start and
stop box
2. start redhat-control-network as an unpriviledged user
3. try to start the interface.

Actual Results:
returns "Users aren't allowed to start this interface" in the xterm.

Expected Results:
interface should start.

Additional Information:
	
I would be happy to send any sysconfig files that might be relevant.
Comment 1 Harald Hoyer 2002-06-26 09:01:14 EDT
please attach the /etc/sysconfig/network-scripts/ifcfg-THEUSERDEVICE file
Comment 2 Phil Knirsch 2002-06-26 09:31:26 EDT
Fixed in the 7.3 initscripts. Please updated redhat-config-network and
initscripts and resulting dependancies to the current release, that should fix
your problem.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.